<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>ervu_lkrp_ul</groupId>
    <artifactId>ervu_lkrp_ul</artifactId>
    <version>1.0.0-SNAPSHOT</version>
  </parent>

  <groupId>ervu_lkrp_ul.ervu_lkrp_ul</groupId>
  <artifactId>resources</artifactId>

  <dependencies>
    <dependency>
      <groupId>ru.cg.webbpm.modules.resources</groupId>
      <artifactId>resources-api</artifactId>
    </dependency>
    <dependency>
      <groupId>ru.cg.webbpm.modules.resources</groupId>
      <artifactId>resources-impl</artifactId>
    </dependency>
  </dependencies>

  <build>
    <resources>
      <resource>
        <directory>src/main/generated-resources</directory>
      </resource>
      <resource>
        <directory>src/main/resources</directory>
        <excludes>
          <exclude>**/*.page</exclude>
          <exclude>**/*.component</exclude>
          <exclude>**/*.beta-component</exclude>
          <exclude>META-INF/components/**</exclude>
          <exclude>META-INF/css-classes/**</exclude>
          <exclude>META-INF/components-package.xml</exclude>
          <exclude>META-INF/filtered/**</exclude>
        </excludes>
      </resource>
      <resource>
        <directory>src/main/resources</directory>
        <filtering>true</filtering>
        <includes>
          <include>META-INF/filtered/**</include>
        </includes>
      </resource>
    </resources>
    <plugins>
      <plugin>
        <groupId>com.alexnederlof</groupId>
        <artifactId>jasperreports-plugin</artifactId>
        <version>2.8</version>
        <dependencies>
          <dependency>
            <groupId>net.sf.jasperreports</groupId>
            <artifactId>jasperreports-functions</artifactId>
            <version>${jasperreports.version}</version>
          </dependency>
          <dependency>
            <groupId>joda-time</groupId>
            <artifactId>joda-time</artifactId>
            <version>${joda-time.version}</version>
          </dependency>
        </dependencies>
        <executions>
          <execution>
            <phase>process-sources</phase>
            <goals>
              <goal>jasper</goal>
            </goals>
          </execution>
        </executions>
        <configuration>
          <!-- These are the default configurations: -->
          <compiler>net.sf.jasperreports.engine.design.JRJdtCompiler</compiler>
          <sourceDirectory>src/main/resources</sourceDirectory>
          <outputDirectory>src/main/resources</outputDirectory>
          <outputFileExt>.jasper</outputFileExt>
          <xmlValidation>true</xmlValidation>
          <verbose>false</verbose>
          <numberOfThreads>4</numberOfThreads>
          <failOnMissingSourceDirectory>true</failOnMissingSourceDirectory>
          <sourceScanner>org.codehaus.plexus.compiler.util.scan.StaleSourceScanner</sourceScanner>
        </configuration>
      </plugin>
      <plugin>
        <groupId>org.apache.maven.plugins</groupId>
        <artifactId>maven-clean-plugin</artifactId>
        <configuration>
          <filesets>
            <fileset>
              <directory>src/main/generated-resources</directory>
            </fileset>
          </filesets>
        </configuration>
      </plugin>
    </plugins>
  </build>

</project>
